using System;

internal sealed class Delegate140 : MulticastDelegate
{
	public extern DateTime Invoke(object object_0);

	public static DateTime smethod_0(object object_0, Delegate140 delegate140_1)
	{
		return delegate140_1(object_0);
	}

	public extern Delegate140(object object_0, IntPtr intptr_0);

	static Delegate140()
	{
		Class10.smethod_13(typeof(Delegate140).TypeHandle);
	}

	internal static Delegate140 delegate140_0;
}
